Bug 199457 - lang/ruby22: pkg-plist error after recent update
Summary: lang/ruby22: pkg-plist error after recent update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ruby mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-15 06:56 UTC by Ting-Wei Lan
Modified: 2015-04-22 01:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
ruby 2.2.2 build log on FreeBSD 10.1 (551.22 KB, text/plain)
2015-04-15 06:56 UTC, Ting-Wei Lan
no flags Details
Patch to fix the pkg-plist issue (14.62 KB, patch)
2015-04-16 16:27 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2015-04-15 06:56:13 UTC
Created attachment 155599 [details]
ruby 2.2.2 build log on FreeBSD 10.1

Please see the build log. It seems there is pkg-plist error related to capi-docs.
Comment 1 Ting-Wei Lan 2015-04-16 16:27:09 UTC
Created attachment 155649 [details]
Patch to fix the pkg-plist issue
Comment 2 commit-hook freebsd_committer 2015-04-22 01:23:32 UTC
A commit references this bug:

Author: swills
Date: Wed Apr 22 01:23:17 UTC 2015
New revision: 384475
URL: https://svnweb.freebsd.org/changeset/ports/384475

Log:
  Fix plist with CAPIDOCS option after recent update

  PR:		199457
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>

Changes:
  head/lang/ruby21/pkg-plist
  head/lang/ruby22/pkg-plist
Comment 3 Steve Wills freebsd_committer 2015-04-22 01:24:25 UTC
Committed, thanks.